OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
> Mediaplayer That Utilizes Libmodplugin?, Codec for *.mod, *.xm, *.s3m modules.
Jon_J
post Jul 5 2006, 10:27 PM
Post #1





Group: Members
Posts: 1,843
Joined: 31-December 05
From: Illinois USA
Member No.: 8,821



I did a search here and "libmodplugin" doesn't return any hits.
Google shows this is used on Linux to enable playback of *.mod, *.xm, *.s3m modules with a mediaplayer.
I found libmodplugin 2.0.2 that is intended to be used with opie-mediaplayer1
I installed it and it places these files in my /opt/QtPalmtop/plugins/codecs/
libmodplugin.so
libmodplugin.so.1
libmodplugin.so.1.0
libmodplugin.so.1.0.0

Are there ANY mediaplayers besides opie-mediaplayer1, that can utilize these codecs?
I tried opie-mediaplayer1 in Cacko on my C3100, and it doesn't work.
http://www.oesf.org/forums/index.php?showtopic=19523

I'd really like to get these modules to play on my Z
Thank you
Go to the top of the page
 
+Quote Post
Hrw
post Jul 5 2006, 10:29 PM
Post #2





Group: Members
Posts: 1,376
Joined: 11-January 04
From: Poznań, Poland
Member No.: 1,413



xmms-embedded can be compiled with libmikmod support and there are few commandline/ncurses players
Go to the top of the page
 
+Quote Post
Jon_J
post Jul 5 2006, 10:35 PM
Post #3





Group: Members
Posts: 1,843
Joined: 31-December 05
From: Illinois USA
Member No.: 8,821



Where could I find the commandline/ncurses players?
Would I need ncurses libs to use these?

I don't know how to compile stuff, so xmms-embedded isn't an option.

thank you,
Jon
Go to the top of the page
 
+Quote Post
Jon_J
post Jul 6 2006, 12:36 AM
Post #4





Group: Members
Posts: 1,843
Joined: 31-December 05
From: Illinois USA
Member No.: 8,821



Finally, after 3 hours of googling for incompatable libraries, for X MultiMedia System,
(I couldn't find a required "libglib-1.2.so.0" that would install in Cacko)
I found the above at ELSI, and there are instructions to make it work on Sharp ROMs.
They fail to mention the need for libglib-1.2.so.0
This is only available in a Sharp incompatable *.ipk and is called for when "xmms-embedded-qtopia" is run at the command line.
This library will not install in it's current *.ipk version.
I cannot open these "type" of *.ipk in winrar to extract the files to my libs folder.
I do this with Sharp ROM ipks, when I only need one file from it.

I later found this:
Ysump:
http://www.killefiz.de/zaurus/showdetail.php?app=1109
It includes instructions as to install, (no ipk).
It also includes libmikmod.so.2.0.4
This plays my mods, s3m and xm files perfectly. smile.gif smile.gif

This works in Cacko/Sharp.
Jon

This post has been edited by Jon_J: Jul 6 2006, 01:42 PM
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 22nd October 2014 - 07:47 PM